ChangeSet 1.954.1.5, 2003/01/09 01:02:07-08:00, greg@kroah.com

[PATCH] USB: fix ehci build problem for older versions of gcc


diff -Nru a/drivers/usb/hcd/ehci-dbg.c b/drivers/usb/hcd/ehci-dbg.c
--- a/drivers/usb/hcd/ehci-dbg.c	Thu Jan 16 10:52:08 2003
+++ b/drivers/usb/hcd/ehci-dbg.c	Thu Jan 16 10:52:08 2003
@@ -18,37 +18,23 @@
 
 /* this file is part of ehci-hcd.c */
 
-#if LINUX_VERSION_CODE > KERNEL_VERSION(2,5,50)
-
-#define ehci_dbg(ehci, fmt, args...) \
-	dev_dbg (*(ehci)->hcd.controller, fmt, ## args )
-#define ehci_err(ehci, fmt, args...) \
-	dev_err (*(ehci)->hcd.controller, fmt, ## args )
-#define ehci_info(ehci, fmt, args...) \
-	dev_info (*(ehci)->hcd.controller, fmt, ## args )
-#define ehci_warn(ehci, fmt, args...) \
-	dev_warn (*(ehci)->hcd.controller, fmt, ## args )
-
-#else
-
 #ifdef DEBUG
 #define ehci_dbg(ehci, fmt, args...) \
-	printk(KERN_DEBUG "%s %s: " fmt, hcd_name, \
-		(ehci)->hcd.pdev->slot_name, ## args )
+	printk(KERN_DEBUG "%s %s: " fmt , hcd_name , \
+		(ehci)->hcd.pdev->slot_name , ## args )
 #else
 #define ehci_dbg(ehci, fmt, args...) do { } while (0)
 #endif
 
 #define ehci_err(ehci, fmt, args...) \
-	printk(KERN_ERR "%s %s: " fmt, hcd_name, \
-		(ehci)->hcd.pdev->slot_name, ## args )
+	printk(KERN_ERR "%s %s: " fmt , hcd_name , \
+		(ehci)->hcd.pdev->slot_name , ## args )
 #define ehci_info(ehci, fmt, args...) \
-	printk(KERN_INFO "%s %s: " fmt, hcd_name, \
-		(ehci)->hcd.pdev->slot_name, ## args )
+	printk(KERN_INFO "%s %s: " fmt , hcd_name , \
+		(ehci)->hcd.pdev->slot_name , ## args )
 #define ehci_warn(ehci, fmt, args...) \
-	printk(KERN_WARNING "%s %s: " fmt, hcd_name, \
-		(ehci)->hcd.pdev->slot_name, ## args )
-#endif
+	printk(KERN_WARNING "%s %s: " fmt , hcd_name , \
+		(ehci)->hcd.pdev->slot_name , ## args )
 
 
 #ifdef EHCI_VERBOSE_DEBUG
